Cyberduck Mountain Duck CLI

#5652 closed enhancement (fixed)

Keyboard shortcut for refresh

Reported by: Sbmehta Owned by: dkocher
Priority: low Milestone: 4.1
Component: interface Version: 4.0b9
Severity: minor Keywords: refresh menu shortcut
Cc: klonos@… Architecture:
Platform: Windows 7

Description (last modified by dkocher)

Hello Cyberduck team, and thank you for your work on this program.

I have a minor UI suggestion regarding the ability to refresh a remote directory. The "Refresh" button in the main window works perfectly. However, standard behavior under would also (1) associate this with the keyboard shortcut F5 (Command-R for Mac) and (2) include a Refresh item under the "View" menu.

It would be great if Cyberduck would add this standard behavior. I know that it is very minor, but i hope that it is also very easy to fix.

Thank you.

Change History (8)

comment:1 Changed on Jan 17, 2011 at 6:43:30 PM by dkocher

  • Description modified (diff)

The refresh menu item command can be found in the Go menu.

comment:2 Changed on Jan 17, 2011 at 6:43:58 PM by dkocher

  • Summary changed from Standard refresh behavior to Keyboard shortcut for refresh

comment:3 Changed on Jan 17, 2011 at 6:47:45 PM by Sbmehta

Sorry -- careless of me to have missed that. This is then just a very minor request to allow the F5 shortcut in addition to Ctrl-R.

Thanks for your fast reply.

comment:4 Changed on Jan 27, 2011 at 11:07:31 PM by dkocher

  • Platform set to Windows 7
  • Priority changed from normal to low
  • Version changed from 3.8.1 to 4.0b9

comment:5 Changed on Jun 7, 2011 at 10:40:17 PM by klonos

  • Cc klonos@… added

...windows users are used to hitting F5 for refresh. If that shortcut is not reserved for something else, then I think that implementing it would help a great deal. Thanx for considering ;)

comment:6 Changed on Jul 3, 2011 at 2:48:59 PM by dkocher

  • Milestone set to 4.2

comment:7 Changed on Jul 11, 2011 at 6:09:03 PM by yla

  • Milestone changed from 4.2 to 4.1
  • Resolution set to fixed
  • Status changed from new to closed

In r8904.

comment:8 Changed on Jul 11, 2011 at 8:07:01 PM by Klonos

Thanx. I really appreciate this ;)

Note: See TracTickets for help on using tickets.
swiss made software